package component

import (
	"ai_scheduler/internal/domain/component/callback"

	"github.com/google/wire"
)

var ProviderSetComponent = wire.NewSet(NewComponents)

var ProviderSet = wire.NewSet(
	callback.NewRedisManager, wire.Bind(new(callback.Manager), new(*callback.RedisManager)),
	NewComponents,
)
